#
# spec file for package starfighter
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           starfighter
Version:        1.7
Release:        1.1
Summary:        Liberate the universe from the evil company WEAPCO
License:        GPL-3.0+
Group:          Amusements/Games/Action/Arcade
Url:            http://starfighter.nongnu.org/
Source0:        http://download.savannah.gnu.org/releases/%{name}/%{version}/%{name}-%{version}-src.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}-icons.tar
BuildRequires:  dos2unix
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(sdl)
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
%endif

%description
Project: Starfighter is an old school 2D shoot 'em up. In the game you take on
the role of a rebel pilot called Chris, who is attempting to overthrow a
military corporation called Weapco. Weapco has seized control of the known
universe and currently rules it with an iron fist. Chris can no longer stand
back and watch as millions of people suffer and die. He steals an experimental
craft known as "Firefly" and begins his mission to fight his way to Sol,
freeing key systems along the way. The game opens with Chris attempting to
escape a Weapco patrol that has intercepted him.

%prep
%setup -q -a 1 -n %{name}-%{version}-src

# Some docs have the DOS line ends
dos2unix README.txt

%build
%configure
make %{?_smp_mflags}

%install
%make_install

# install icons
for i in 16 32 48 64 72 96 128 ; do
    install -Dm 0644 icons/%{name}_${i}x${i}.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done

# remove duplicate docs
rm -fr %{buildroot}%{_datadir}/doc/%{name}

%if 0%{?suse_version}
    %suse_update_desktop_file %{name}
    %fdupes -s %{buildroot}%{_prefix}
%endif

%files
%doc docs/* COPYING LICENSES README.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%changelog
* Thu Jan  4 2018 avindra@opensuse.org
- Update to 1.7, announce message is here:
  https://savannah.nongnu.org/forum/forum.php?forum_id=8808
- remove RPM_OPT_FLAGS fix, solved upstream
- remove unnecessary variables passed to `make` and `%%make_install`
- cleanup with spec-cleaner
* Mon Dec 26 2016 ecsos@opensuse.org
- Update to 1.6, announce message is here:
  https://savannah.nongnu.org/forum/forum.php?forum_id=8641
* Tue Jan 19 2016 nemysis@openSUSE.org
- Update to 1.5.1.1, announce message is here:
  https://savannah.nongnu.org/forum/forum.php?forum_id=8443
- Use %%{oversion} instead of 1.5
- Remove Desktop entry file, Upstream have accepted changes
- Add BuildRequires for fdupes and use %%fdupes macro to reduce size of the package
* Tue Jul  7 2015 cfarrell@suse.com
- license update: GPL-3.0+
* Sun Jun 28 2015 nemysis@gmx.ch
- Update to -, announce messages are here:
  Project: Starfighter 1.4 Released
  https://savannah.nongnu.org/forum/forum.php?forum_id=8295
  Project: Starfighter 1.3.3 Released
  https://savannah.nongnu.org/forum/forum.php?forum_id=8275
  Project: Starfighter 1.3.1 Released
  https://savannah.nongnu.org/forum/forum.php?forum_id=8253
  Project: Starfighter 1.3 Released
  https://savannah.nongnu.org/forum/forum.php?forum_id=8249
- Change Url from SourceForge to non-GNU
- Change license GPL-2.0 to GPL-2.0+ and GPL-3.0+ and CC0-1.0 and CC-BY-3.0 and SUSE-Public-Domain
- Change Source0 Web URL
- Change starfighter-icons.tar to use _IxI.png instead of -I.png
- Remove BuildRequires for fdupes, not need for it, make bad Symlinks
  and Game not works
- Add BuildRequires for dos2unix
- Remove BuildRequires for python, zlib-devel, pkgconfig(SDL_image),
  pkgconfig(SDL_mixer)
- Add BuildRequires for pkgconfig(SDL2_image), pkgconfig(SDL2_mixer)
- Correct what fdupes find
- Add sed, Fix RPM_OPT_FLAGS
- Add sed, Correct bad linking
- Change Documentation
* Sun Feb 22 2015 ecsos@opensuse.org
- fix missing data
* Wed Nov 12 2014 nemysis@gmx.ch
- Use BuildRequires pkgconfig(SDL_image), pkgconfig(SDL_mixer) and
  pkgconfig(sdl) instead of SDL-devel, SDL_image-devel and
  SDL_mixer-devel
- Remove BuildRequires for desktop-file-utils and pkgconfig
- Use check for openSUSE %%if 0%%{?suse_version}
- Use symlink for %%fdupes
* Sat Sep 27 2014 nemysis@gmx.ch
- Use pkgconfig instead of pkgconfig(sdl)
- Remove sed and adjust %%make_install, with XRevan86 help
* Sat Sep 27 2014 nemysis@gmx.ch
- Add BuildRequires:  hicolor-icon-theme
* Tue Sep 23 2014 nemysis@gmx.ch
- Readd %%{name}-icons.tar with more icons
* Tue Sep 23 2014 nemysis@gmx.ch
- Use usual Copyright on top
- Update to 1.2, for announce message please look ChangeLog
- Change Summary
- Change license GPLv2 to GPL-2.0
- Change URL
- Change Source to use Web URL
- Use %%{name}.png instead of %%{name}-icons.tar
- Change Desktop entry file
- Add BuildRequires for zlib-devel and fdupes
- Remove BuildRequires for hicolor-icon-theme
- Change dependency pkg-config to pkgconfig(sdl)
- Change description
- Simplify installation handling, use normal build
- Move makefile to Makefile
- Add sed, fix paths
- Use default make %%{?_smp_mflags}
- Add starfighter.changes, was not used before
- Fix permissions
